<li class="list-group-item d-flex justify-content-between align-items-center">
  PYTHON
  <span class="badge badge-primary badge-pill">14</span>
  <button type="button" class="btn btn-outline-primary" style="float: right;"
    (click)="studentModal = !studentModal">students</button>
</li>
<div *ngIf="studentModal">
  <table class="table table-striped">
    <thead>
      <tr>
        <th scope="col">id</th>
        <th scope="col">First Name</th>
        <th scope="col">Last Name</th>
        <th scope="col">rating</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <th scope="row">1</th>
        <td>Mark</td>
        <td>Otto</td>
        <td>
          <div>
            <span *ngFor="let item of arrayOne(3)" class="fa fa-star checked"></span>
            <span *ngFor="let item of arrayOne(2)" class="fa fa-star"></span>
          </div>
        </td>
      </tr>
      <tr>
        <th scope="row">1</th>
        <td>Mark</td>
        <td>Otto</td>
        <td>
          <div>
            <span *ngFor="let item of arrayOne(1)" class="fa fa-star checked"></span>
            <span *ngFor="let item of arrayOne(4)" class="fa fa-star"></span>
          </div>
        </td>
      </tr>

    </tbody>
  </table>
</div>